> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get an asset GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/assets/{asset_id} Reference: https://contentful.com/developers/docs/references/content-management-api/assets/get-an-asset ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the Space in form of a string - `environment_id` (string, required) — ID of the environment in form of a string - `asset_id` (string, required) — ID of the Asset in form of a string ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "fields": { "file": { "en-US": { "contentType": "image/jpeg", "fileName": "example.jpeg", "upload": "https://example.com/example.jpg" } }, "title": { "en-US": "Playsam Streamliner" } }, "metadata": { "tags": [ { "sys": { "id": "nyCampaign", "linkType": "Tag", "type": "Link" } } ] }, "sys": { "createdAt": "2025-11-16T07:30:06.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "environment": { "sys": { "id": "staging", "linkType": "Environment", "type": "Link" } }, "id": "wtrHxeu3zEoEce2MokCSi", "space": { "sys": { "id": "yadj1kx9rmg0", "linkType": "Space", "type": "Link" } }, "type": "Asset", "updatedAt": "2025-11-16T07:30:06.000Z", "updatedBy": { "sys": { "id": "4FLrUHftHW3v2BLi9fzfjU", "linkType": "User", "type": "Link" } }, "version": 1 } } ```